package org.dromara.main.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.main.domain.bo.MainBackClauseBo;
import org.dromara.main.domain.vo.MainBackClauseVo;

import java.util.Collection;
import java.util.List;

public interface IMainBackClauseService {

    /**
     * 查询背调条款分页列表
     */
    TableDataInfo<MainBackClauseVo> queryPageList(MainBackClauseBo bo, PageQuery pageQuery);

    /**
     * 查询背调条款列表
     */
    List<MainBackClauseVo> queryList(MainBackClauseBo bo);

    /**
     * 查询背调条款详细信息
     */
    MainBackClauseVo queryById(Long id);

    /**
     * 新增背调条款
     */
    Boolean insertByBo(MainBackClauseBo bo);

    /**
     * 修改背调条款
     */
    Boolean updateByBo(MainBackClauseBo bo);

    /**
     * 校验并批量删除背调条款信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
